> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the project status of an existing file sync project > Projects are implicitly filtered by the user's `read` permission. ## OpenAPI ````json GET /v{version}/FileSync/Projects/{projectId}/Status { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/FileSync/Projects/{projectId}/Status": { "get": { "tags": [ "FileSync" ], "summary": "Get the project status of an existing file sync project", "description": "Projects are implicitly filtered by the user's `read` permission.", "operationId": "FileSync_GetPlayerStatus", "parameters": [ { "name": "locationId", "in": "query", "description": "Unique ID of the location", "schema": { "type": "integer", "format": "int32" } }, { "name": "projectId", "in": "path", "description": "Unique ID of the file sync project", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.FileSync.FileSyncPlayerStatus" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Project or its UDC plugin container not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.FileSync.FileSyncPlayerStatus": { "type": "object", "properties": { "BoxId": { "type": "string", "description": "Box ID of the player" }, "Committed": { "type": "string", "description": "Last time a project was committed to the player in UTC", "format": "date-time" }, "CommittedVersion": { "type": "string", "description": "Version of the last project committed to the player" }, "CustomId": { "type": "string", "description": "Custom ID of the player" }, "ErrorReceived": { "type": "string", "description": "Date of the last time an sync error was received in UTC", "format": "date-time" }, "ErrorVersion": { "type": "string", "description": "Version of the last project that failed to sync" }, "LastRequest": { "type": "string", "description": "Last time a project was request by the player in UTC", "format": "date-time" }, "LastRequestVersion": { "type": "string", "description": "Version of the last project requested by the player" }, "LocationId": { "type": "integer", "description": "Unique ID of the location assigned to the player", "format": "int32" }, "PlayerId": { "type": "integer", "description": "Unique ID of the player", "format": "int32" }, "PlayerName": { "type": "string", "description": "Name of the player" }, "ProjectId": { "type": "integer", "description": "Unique ID of the file sync project", "format": "int32" }, "ProjectVersion": { "type": "string", "description": "Version of the file sync project" }, "Status": { "$ref": "#/components/schemas/V1.Models.FileSync.FileSyncTransferStatus" } }, "description": "Player status of a file sync project" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } }, "V1.Models.FileSync.FileSyncTransferStatus": { "type": "object", "properties": { "BytesPerSecond": { "type": "number", "description": "Amount of transferred bytes per second", "format": "double", "readOnly": true }, "LastStatusUpdate": { "type": "string", "description": "Time of the last status update in UTC", "format": "date-time", "readOnly": true }, "TotalBytes": { "type": "integer", "description": "Amount of bytes of the total of files", "format": "int64", "readOnly": true }, "TotalFileCount": { "type": "integer", "description": "Total amount of files of the sync", "format": "int32", "readOnly": true }, "TransferredBytes": { "type": "integer", "description": "Amount of bytes of the transferred files", "format": "int64", "readOnly": true }, "TransferredFileCount": { "type": "integer", "description": "Amount of transferred files", "format": "int32", "readOnly": true } }, "description": "Player's transfer status" } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````